{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_name": "Flawless Diamond",
                "minecraft:enchantment_glint_override": true,
                "minecraft:rarity": "uncommon",
                "minecraft:custom_data": "{flawless:tag}",
                "minecraft:max_stack_size": 1
              }
            }
          ]
        }
      ]
    }
  ]
}